uulib-0.9.20: Haskell Utrecht Tools Library

Safe Haskell | Safe
Language | Haskell98

UU.Scanner.Position

# Documentation

type Line = Int Source #

type Column = Int Source #

type Filename = String Source #

class Position p where Source #

Minimal complete definition

line, column, file

Methods

line :: p -> Line Source #

column :: p -> Column Source #

file :: p -> Filename Source #

Instances

Position Pos Source # |
Methods line :: Pos -> Line Source # column :: Pos -> Column Source # file :: Pos -> Filename Source #

data Pos Source #

Constructors

Pos !Line !Column Filename |

Instances

Show Pos Source # |
Methods showsPrec :: Int -> Pos -> ShowS # show :: Pos -> String # showList :: [Pos] -> ShowS #
Position Pos Source # |
Methods line :: Pos -> Line Source # column :: Pos -> Column Source # file :: Pos -> Filename Source #
InputState Input Char Pos Source # |
Methods splitStateE :: Input -> Either' Input Char Source # splitState :: Input -> (#PtrRepLifted, PtrRepLifted, Char, Input#) Source # getPosition :: Input -> Pos Source # reportError :: Message Char Pos -> Input -> Input Source # insertSymbol :: Char -> Input -> Input Source # deleteSymbol :: Char -> Input -> Input Source #

initPos :: FilePath -> Pos Source #

noPos :: Pos Source #

advl :: Line -> Pos -> Pos Source #

advc :: Column -> Pos -> Pos Source #

adv :: Pos -> Char -> Pos Source #

updPos :: Char -> Pos -> Pos Source #

tab :: Pos -> Pos Source #

newl :: Pos -> Pos Source #

tabWidth :: Column -> Int Source #

updPos' :: Char -> Pos -> (Pos -> a) -> a Source #

advc' :: Int -> Pos -> (Pos -> a) -> a Source #

tab' :: Pos -> (Pos -> a) -> a Source #

newl' :: Pos -> (Pos -> a) -> a Source #